Problem:

While installing a fresh copy of OME version 2.3 on Windows Server 2016, the OME installer will fail with following error:

"One or more mandatory prerequisites for Essentials are pending. Installation cannot continue. Run the Pre-Requisite Checker for details."

Re-running the Prerequisite Checker, one will find that there are no dependencies left to install.

  

It has been found that if each dependency is installed via individual "Click here…" links, the ASP .NET HTTP Activation feature is not installed on Windows Server 2016.

If the dependencies are installed using the "Install All Critical Prerequisites" button, the problem is not seen.

Solution:

Install the HTTP Activation feature by using "Server Manager -> Add roles and features", or, using the following PowerShell cmdlet:

Install-WindowsFeature NET-WCF-HTTP-Activation45

Once the installation is complete, you may restart the OME 2.3 installation without error.